/**
 * 月度表单逻辑层 
 * 作者: 陈金晶
 */
import { ERRORENUM } from "../../config/errorEnum";
import { BizError } from "../../util/bizError";
import * as monthData from "../../data/fuHuaQi/monthTable";
import { getTaskId } from "../../util/tools";
import moment = require("moment");

/**
 * 新添加孵化器月度填报
 * @param uscc 孵化器的统一信用代码
 * @param occupancyRate 本月出租率
 */
export async function createReport(uscc:string, occupancyRate:number) {
    //不允许有重复的
    const TaskId = getTaskId(uscc);
    let dataBaseInfo = await monthData.findmonthTableListByTaskId(TaskId);

    if (!dataBaseInfo || !dataBaseInfo.taskId) throw new BizError(ERRORENUM.该孵化器月度填报已存在, `${uscc}重复提交了月度填报值为${occupancyRate}`);

    const MonthNumber = moment().subtract(1, 'months').month() + 1;
    const MonthTableName = `${MonthNumber}月孵化器月度填报`;
    await monthData.addOnceReport(MonthTableName, uscc, occupancyRate);
    
    return;
}
